| GET | /RestApi/comments-api/comments/{key} |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class CommentGetRequest
{
open var Key:String? = null
}
open class CommentResponse
{
open var Key:String? = null
open var Name:String? = null
open var Message:String? = null
open var DateCreated:Date? = null
open var ProfilePictureUrl:String? = null
open var ProfilePictureThumbnailUrl:String? = null
open var Status:String? = null
open var Email:String? = null
open var ThreadKey:String? = null
open var AuthorIpAddress:String? = null
open var CustomData:String? = null
open var Rating:BigDecimal? = null
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/comments-api/comments/{key} HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"Key":"String","Name":"String","Message":"String","DateCreated":"\/Date(-62135596800000-0000)\/","ProfilePictureUrl":"String","ProfilePictureThumbnailUrl":"String","Status":"String","Email":"String","ThreadKey":"String","AuthorIpAddress":"String","CustomData":"String","Rating":0}